From 20e10898b297a146c660aa4f104a00c538a8367a Mon Sep 17 00:00:00 2001
From: Laszlo Ersek <lersek@redhat.com>
Date: Sun, 8 Jul 2012 11:55:50 +0200
Subject: BuildEnv: override "set -C" (noclobber) of sourcing env (RHEL only)

The BuildEnv utility is sourced (executed by the user's interactive shell)
when the user sets up the build session. Some users like to set -C
(noclobber) for some additional safety in their shells, which trips up
BuildEnv. Update the redirection operator so that it overrides noclobber.
---
 BaseTools/BuildEnv | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/BaseTools/BuildEnv b/BaseTools/BuildEnv
index 6a1281b..f74f923 100755
--- a/BaseTools/BuildEnv
+++ b/BaseTools/BuildEnv
@@ -73,7 +73,7 @@ StoreCurrentConfiguration() {
   OUTPUT_FILE=Conf/BuildEnv.sh
   #echo Storing current configuration into \$WORKSPACE/$OUTPUT_FILE
   OUTPUT_FILE=$WORKSPACE/$OUTPUT_FILE
-  echo "# Auto-generated by ${BASH_SOURCE[0]}" > $OUTPUT_FILE
+  echo "# Auto-generated by ${BASH_SOURCE[0]}" >| $OUTPUT_FILE
   GenerateShellCodeToSetVariable WORKSPACE $OUTPUT_FILE
   GenerateShellCodeToSetVariable EDK_TOOLS_PATH $OUTPUT_FILE
   GenerateShellCodeToUpdatePath $OUTPUT_FILE
-- 
1.8.3.1

